\begin{tikzpicture}[framed]
  \draw [help lines] (-3, -3) grid (3, 3);

  \draw [ultra thick, draw]
    (0,2) .. controls (-1.2,2.5) and (-1,-2.2) .. (0,-2);

  \draw [ultra thick, draw]
    (1.5,-1.5) .. controls (2,-1) and (1.7,-0.25) .. (1,-0.5)
    (1,-0.5) .. controls (0.2,-0.8) and (0.4,0) .. (0.5,0)
    (0.5,0) .. controls (0.8,0.6) and (0.2,0.7) .. (0,0.7)
    (0,0.7) .. controls (-0.2,0.7) and (-1.5,0.6) .. (-2,1);

  \draw [ultra thick, draw]
    (-1.5,-1.5) .. controls (-2,1) and (-1,0.5) .. (2,0.5);

  \node (robot1) [circle, draw, ultra thick, fill=gray!50, minimum size=0.5] at (0,2) {1};
  \node (robot2) [circle, draw, ultra thick, fill=gray!50, minimum size=0.5] at (1.5,-1.5) {2};
  \node (robot3) [circle, draw, ultra thick, fill=gray!50, minimum size=0.5] at (-1.5,-1.5) {3};
\end{tikzpicture}
